RunReveal

NotificationHistoryFacets returns the disjunctive filter-menu aggregates for the workspace notification history list, given the current filter context: counts per status, channel, notification, template and detection.

NotificationHistoryFacets returns the disjunctive filter-menu aggregates for the workspace notification history list, given the current filter context: counts per status, channel, notification, template and detection.

GET
/notification-history/facets

Query Parameters

channelarray<string>

channelModestring

detectionarray<string>

detectionModestring

fromstring

notificationNamearray<string>

notificationNameModestring

searchstring

sortstring

statusarray<string>

statusModestring

templateNamearray<string>

templateNameModestring

tostring

curl -X GET "https://api.runreveal.com/notification-history/facets?channel=string&channelMode=string&detection=string&detectionMode=string&from=string&notificationName=string&notificationNameMode=string&search=string&sort=string&status=string&statusMode=string&templateName=string&templateNameMode=string&to=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "buckets": {
      "property1": [
        {
          "count": 0,
          "label": "string",
          "value": "string"
        }
      ],
      "property2": [
        {
          "count": 0,
          "label": "string",
          "value": "string"
        }
      ]
    }
  },
  "success": true
}

NotificationHistoryList returns a paginated list of sent notifications, filtered by search text, time range, and the status, channel, notification, template and detection filter menus.

NotificationHistoryList returns a paginated list of sent notifications, filtered by search text, time range, and the status, channel, notification, template and detection filter menus.

GET
/notification-history/list

Query Parameters

channelarray<string>

channelModestring

detectionarray<string>

detectionModestring

fromstring

notificationNamearray<string>

notificationNameModestring

searchstring

sortstring

statusarray<string>

statusModestring

templateNamearray<string>

templateNameModestring

tostring

curl -X GET "https://api.runreveal.com/notification-history/list?channel=string&channelMode=string&detection=string&detectionMode=string&from=string&notificationName=string&notificationNameMode=string&search=string&sort=string&status=string&statusMode=string&templateName=string&templateNameMode=string&to=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "alertID": "string",
      "channel": "string",
      "createdAt": {},
      "detectionDisplayName": "string",
      "id": "string",
      "meta": {
        "error": "string",
        "investigationID": "string",
        "jiraIssue": "string",
        "jiraLink": "string",
        "linearIssue": "string",
        "linearLink": "string",
        "slackChannelID": "string",
        "slackMessageTS": "string"
      },
      "notificationName": "string",
      "status": "string",
      "templateName": "string",
      "workspaceID": "string"
    }
  ],
  "success": true
}

NotificationHistoryListByAlert lists the notification history entries associated with a specific alert.

NotificationHistoryListByAlert lists the notification history entries associated with a specific alert.

GET
/notification-history/list-by-alertid

Query Parameters

alertIDstring

curl -X GET "https://api.runreveal.com/notification-history/list-by-alertid?alertID=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "alertID": "string",
      "channel": "string",
      "createdAt": {},
      "detectionDisplayName": "string",
      "id": "string",
      "meta": {
        "error": "string",
        "investigationID": "string",
        "jiraIssue": "string",
        "jiraLink": "string",
        "linearIssue": "string",
        "linearLink": "string",
        "slackChannelID": "string",
        "slackMessageTS": "string"
      },
      "notificationName": "string",
      "status": "string",
      "templateName": "string",
      "workspaceID": "string"
    }
  ],
  "success": true
}